import sharedStyles from '@agiliza/views/shared-styles'
import { Theme } from '@material-ui/core/styles'
import { createStyles } from '@material-ui/styles'

// eslint-disable-next-line
export default (theme: Theme) =>
  createStyles({
    ...sharedStyles(theme),
    circularProgressContainer: {
      display: 'flex',
      width: '100%',
      height: '100%',
      flex: 1,
      alignItems: 'center',
      justifyContent: 'center',
    },
    circularProgress: { position: 'absolute', top: '50%', left: '50%' },
    title: { marginBottom: theme.spacing(2) },
  })
